# Orders Endpoints for retrieving the all data related to the order. ## Get all data for specific data order - [GET /orders/{id}](https://api-docs.girteka.eu/orders-api/api/orders/get-order-by-id.md): Returns the the all data for the specific order ID. The order dara is returned only in case authorisation allows the api consumer to access the data ## Get all temperature readings associated with specific order - [GET /orders/{id}/temperatures](https://api-docs.girteka.eu/orders-api/api/orders/get-order-temperatures.md): Returns all temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data ## Get latest temperature readings associated with specific order - [GET /orders/{id}/temperatures/latest](https://api-docs.girteka.eu/orders-api/api/orders/get-order-temperatures-latest.md): Returns latest temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data ## This is an implementation of orders data update when order data object is provided in the body. - [POST /orders](https://api-docs.girteka.eu/orders-api/api/orders/post-order-update.md): This is an implementation of orders data update when order data object is provided in the body. The same can be implemented either with POST method to specific order /orders/{id}. For Higfh volumes updates it is highly recomend to implement updates via messaging. Please contact order-api@girteka.eu to get access to messaging queue. Please note, that security validation is applied to check if you have rights to update specific order data ## Returns all orders as per search criteria provided in query. Search method returns only latest values. - [GET /orders](https://api-docs.girteka.eu/orders-api/api/orders/get-order-search.md): Returns all data or requested objects associated with the order. the search is performed only on the scope of the orders allowed for the api-consumer